Ask Your Question
0

Problems when installing ROS2 Foxy for Windows

asked 2020-09-09 18:40:25 -0600

Someone0135 gravatar image

Hi,

I am trying to install ROS2 Foxy and am following the following page https://index.ros.org/doc/ros2/Instal....

After doing the following command:

call C:\dev\ros2_foxy\local_setup.bat

I get the following error

[connext_cmake_module] Warning: The location at which Connext was found when the workspace was built [[C:\Program Files\rti_connext_dds-5.3.1]] does not point to a valid directory, and the NDDSHOME environment variable has not been set. Support for Connext will not be available.

I was wondering how I could fix this problem, I have tried to search online, but couldn't fix the problem. If anyone could help me it would be greatly appreciated!

Thanks in Advance!

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2020-09-11 13:51:15 -0600

sloretz gravatar image

Warning: [...] Support for Connext will not be available.

This warning means you won't be able to use the rmw implementation Connext. As long as you don't need Connext (the default rmw implementation is Fast-RTPS/Fast-DDS), you can ignore that warning.

If you want to use Connext and make the warning go away, see this documentation on how to install Connext with the Windows Binary install: https://index.ros.org/doc/ros2/Instal...

You might be interested in some of this other documentation

edit flag offensive delete link more

Comments

Thanks for the answer!

Someone0135 gravatar image Someone0135  ( 2020-09-12 00:27:01 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2020-09-09 18:40:25 -0600

Seen: 243 times

Last updated: Sep 11 '20